pgtap_0.97.0-2_all.deb


Advertisement

Description

pgtap - Unit testing framework for PostgreSQL - metapackage

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name pgtap
Package version 0.97.0
Package release 2
Package architecture all
Package type deb
Installed size 12 B
Download size 3.84 KB
Official Mirror archive.ubuntu.com
pgTAP is a suite of database functions that make it easy to write
TAP-emitting unit tests in psql scripts suitable for harvesting,
analysis, and reporting by a TAP harness, such as those used in Perl
and PHP applications.
TAP is the Test Anything Protocol (http://testanything.org/).
This metapackage depends on the PostgreSQL extension and the package
providing pg_prove.

Alternatives

Package Version Architecture Repository
pgtap_0.97.0-2_all.deb 0.97.0 all Ubuntu Universe
pgtap - - -

Requires

Name Value
libtap-parser-sourcehandler-pgtap-perl -
postgresql-pgtap -

Download

Type URL
Binary Package pgtap_0.97.0-2_all.deb
Source Package pgtap

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pgtap deb package:
    # sudo apt-get install pgtap

Files

Path
/usr/share/doc/pgtap/changelog.Debian.gz
/usr/share/doc/pgtap/copyright

Changelog

2016-12-03 - Markus Wanner <markus@bluegap.ch>
pgtap (0.97.0-2) unstable; urgency=medium
* Rebuild after rebase on top of 0.96.0-3.
* Drop patch 9.6, it's included upstream.
2016-12-03 - Markus Wanner <markus@bluegap.ch>
pgtap (0.97.0-1) unstable; urgency=medium
* New upstream release.
* Refresh patch Makefile-doc, add DEP3 tags.
* Update debian/control: build against Postgres 9.6 by default.
2016-09-24 - Christoph Berg <myon@debian.org>
pgtap (0.96.0-3) unstable; urgency=medium
* Upload with 9.6 support.
2016-06-04 - Christoph Berg <myon@debian.org>
pgtap (0.96.0-2) unstable; urgency=medium
* Use debian/tests/control.in to correctly depend on
postgresql-contrib-*, bump pg-server-dev-all requirement to
(>= 171~) for this.
* debian/tests/installcheck: Rebuilt sql/pgtap.sql, it is version-dependant.
2016-06-03 - Markus Wanner <markus@bluegap.ch>
pgtap (0.96.0-1) unstable; urgency=medium
* New upstream release: 0.96.0.
* Update d/copyright, alter to machine readable format.
* Extend the short descriptions of pgtap and pgtap-doc, so they
are slightly different.
* Bump S-V: no changes required
* Add doc-base registration for pgtap-doc.
* Use secure link for the Vcs-Browser field.
* Bump d/compat to require version 9.
* Add postgresql-contrib to the autopkgtest requirements.
2016-01-08 - Christoph Berg <myon@debian.org>
pgtap (0.95.0-3) unstable; urgency=medium
* Pull patch from upstream to fix 9.5 installcheck failure.
2015-12-19 - Christoph Berg <myon@debian.org>
pgtap (0.95.0-2) unstable; urgency=medium
* Install html documentation instead of mmd.
* Make pgtap a useful meta package depending on the PostgreSQL extension and
libtap-parser-sourcehandler-pgtap-perl which provides pg_prove.
* Use "pg_buildext loop" in rules file and fix installcheck tests.
* Add myself to Uploaders.
2015-09-08 - Christoph Berg <christoph.berg@credativ.de>
pgtap (0.95.0-1) unstable; urgency=medium
[ Markus Wanner ]
* New upstream release 0.95.0. Closes: #723176, #729559, #784686.
* Change to team maintenance, add myself as an uploader.
* Allow per-Postgres-major-version packages, add a separate -doc one.
* Add pgversions to restrict building against PostgreSQL 8.4 and newer
(older versions would require compiling a C extension, which we don't
support).
* Update build dependencies, drop dependencies on libpq, add a
dependency on the postgres server package.
* Add an autopkgtest on installcheck.
* Adjust watch-file to monitor releases on github.
* Bump S-V to 3.9.6.
* Add Vcs-* fields for the new git packaging repository.
2011-12-05 - Pierre Chifflier <pollux@debian.org>
pgtap (0.90.0-1) unstable; urgency=low
* Imported Upstream version 0.90.0
* Switch to dpkg-source 3.0 (quilt) format
* Add Recommends on libtap-parser-sourcehandler-pgtap-perl (Closes: #642196)
* Add Recommends on libtap-harness-archive-perl (Closes: #590801)
* Fix path for documentation file.
* Convert to DH version 8
2011-09-12 - Pierre Chifflier <pollux@debian.org>
pgtap (0.25.0-2) unstable; urgency=low
* Set build-dep to postgresql-server-dev-all
* Backport upstream commit 461fa22: Removed use of `relistemp` column in an
internal function, as it has been removed in PostgreSQL 9.1
Thanks to David E. Wheeler for the patch (Closes: #640563, #640165)
* Make package architecture independent, the C module is not required since
PostgreSQL 8.4 (Closes: #590798)
* Bump Standards Version to 3.9.2

See Also

Package Description
pgtop_3.7.0-2build1_i386.deb PostgreSQL performance monitoring tool akin to top
pgxnclient_1.2.1-3_all.deb command line client for the PostgreSQL Extension Network
phalanx_22+d051004-14_i386.deb Chess playing program
phamm-ldap-amavis_0.6.5-1ubuntu1_all.deb PHP front-end to manage virtual services on LDAP - back-end files
phamm-ldap-vacation_0.6.5-1ubuntu1_all.deb PHP front-end to manage virtual services on LDAP - back-end files
phamm-ldap_0.6.5-1ubuntu1_all.deb PHP front-end to manage virtual services on LDAP - back-end files
phamm_0.6.5-1ubuntu1_all.deb PHP front-end to manage virtual services on LDAP - main package
phantomjs_2.1.1+dfsg-2_i386.deb minimalistic headless WebKit-based browser with JavaScript API
phasex_0.14.97-2build1_i386.deb Phase Harmonic Advanced Synthesis EXperiment
phatch-cli_0.2.7.1-5_all.deb simple to use Photo Batch Processor - command line interface
phatch-doc_0.2.7.1-5_all.deb simple to use Photo Batch Processor - developer documentation
phatch_0.2.7.1-5_all.deb simple to use Photo Batch Processor - GUI
phenny_2~hg28-3_all.deb extensible IRC bot written in Python
phing_2.16.0-1_all.deb PHP5 project build system based on Apache Ant
phipack_0.0.20160614-2_i386.deb PHI test and other tests of recombination
Advertisement
Advertisement